# Datasource
spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
spring.datasource.url=jdbc:mysql://localhost:3306/carely
spring.datasource.username=root
spring.datasource.password=password
 
# Configuracion de MyBatis
mybatis.mapper-locations=classpath*:com/bl/bootcamp/cuidadores/persistencia/mapper/sqlmap/*.xml
mybatis.type-aliases-package=com.bl.bootcamp.cuidadores.persistencia.modelo
mybatis.configuration.map-underscore-to-camel-case=true
 
# Configuracion de la trazabilidad con Sleuth y Zipkin
spring.zipkin.enabled=false
management.health.rabbit.enabled=false

# Publicacion de endpoints de verificacion de estado del servicio y consulta de propiedades
spring.jackson.serialization.INDENT_OUTPUT=true
 
# Publicacion de endpoints de verificacion de estado del servicio y consulta de propiedades
management.endpoints.web.exposure.include=configprops, env, health, info, prometheus, refresh
spring.jackson.serialization.INDENT_OUTPUT=true

management.info.java.enabled=true

# Microservicio Usuarios Keycloak
clientes.usuario.name=bootcamp-keycloak-svc
clientes.usuario.url=http://localhost:8900/bootcamp-keycloak-svc/

# Microservicio Notificaciones Keycloak
clientes.notificaciones.name=bootcamp-notificaciones-svc
clientes.notificaciones.url=http://localhost:8900/bootcamp-notificaciones-svc/
